Package com.collibra.dgc.core.api.dto.workflow

# Enum Class FindWorkflowDefinitionsRequest.SortField

Object
Enum<FindWorkflowDefinitionsRequest.SortField>
SortField

All Implemented Interfaces:
  `Serializable`, `Comparable<FindWorkflowDefinitionsRequest.SortField>`, `Constable`

Enclosing class:
  `FindWorkflowDefinitionsRequest`

public static enum FindWorkflowDefinitionsRequest.SortField extends Enum<FindWorkflowDefinitionsRequest.SortField>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEPLOYED_ON`
  `LAST_MODIFIED_ON`
  `NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindWorkflowDefinitionsRequest.SortField`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FindWorkflowDefinitionsRequest.SortField[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final FindWorkflowDefinitionsRequest.SortField NAME

  - ### LAST_MODIFIED_ON

    public static final FindWorkflowDefinitionsRequest.SortField LAST_MODIFIED_ON

  - ### DEPLOYED_ON

    public static final FindWorkflowDefinitionsRequest.SortField DEPLOYED_ON

- ## Method Details

  - ### values

    public static FindWorkflowDefinitionsRequest.SortField[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FindWorkflowDefinitionsRequest.SortField valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null